Subject: RE: [AVT] Retransmission drafts

From: [email-masked]
Date: Thu, 30 May 2002 17:16:04 -0500

Hi,

See my comments below.
 
> 
> Hi everyone,
> 
> David's email below suggests that there will continue to be 
> two drafts, to
> represent the "two approaches":

This was the consensus of the WG in Minneapolis. Again, we had proposed to have a single draft.

> 
> 1.  draft-ietf-avt-rtp-retransmission-00.txt - This proposes 
> a separate
> RTP session as a resend channel , and provides no mechanism 
> for selective
> retransmission

Let me clarify that you can perform selective retransmission with rtp-retransmission. The sender may decide to retransmit or packet or not when it gets a request. 
What rtp-selret proposes would be more correctly named "selective request" instead of selective retransmission, i.e. the receiver requests only some of the lost packets.   

> 2.  draft-ietf-avt-rtp-selret-04.txt - This proposes a framework for
> retransmission requests/responses, which may (or may not) be 
> sent in the
> same RTP session, and which may (or may not) use selective 
> retransmission
> 
> Looking at this, selret-04 represents four different approaches:
> 
>                1. Unmarked     2. Selective
>              +--------------+--------------+
> A. Inband    |     A1       |     A2       |
>              +--------------+--------------+
> B. Separate  |     B1       |     B2       |
>              +--------------+--------------+
> 
> The retransmission-00 draft only provides for "A1", whereas selret-04
> provides for all approaches ("A1", "A2", "B1", and "B2").

Actually, selret should not provide all approaches but only A1 and A2  as it was also the consensus at the last meeting that the "separate session" approach should not be in this draft and the authors stated they would remove it. I guess it will thus be removed from their updated draft.

> 
> It seems that there are more than two approaches here, and that using
> retransmission-00 prescribes exactly one approach (which is a 
> good thing
> in a standard), but maybe prescribes the wrong approach.
> 
> However, selret-04 doesn't prescribe an approach.  While that makes it
> agreeable to everyone, it doesn't foster interoperability.

Your above table shows well that the issues of "same or separate retransmission session" and "selective request" are largely orthogonal.
There are therefore two questions that have to be answered:
1)Should two approaches (same or separate session) be allowed or only one should be mandated?
2)Should a payload format for "selective request" be part of an RTP retransmission document and if yes should it be required or optional?

As far as 1) is concerned, the drafts will be resubmitted with applicability statements which I think will help discuss the trade-off between as you wrote allowing multiple approaches and fostering interoperability.

As far as 2) is concerned, I think it needs first of all to be demonstated  the efficiency of the selective payload format. As I wrote above, the purpose is to provide selective requests and not selective retransmission. 
Some of the questions which should be answered are:
*for which type of applications does it make sense?
*at which bit rate, packet loss rate and distribution?
*what is the bandwidth saving of selective request vs requesting every packet in the RTCP session?
*what is the bandwidth added overhead of using the selective retransmission in the RTP session? 
*what is the penalty of requesting only some of the lost packets vs requesting all of them? 

David.

> 
> So, what is the current path to choosing a single approach 
> and sticking to
> it?
> 
> Go
> ---------- Forwarded message ----------
> Date: Thu, 25 Apr 2002 16:51:54 -0500
> From: "[email-masked]" <[email-masked]>
> To: "[email-masked]" <[email-masked]>,
>      "[email-masked]" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" 
> <[email-masked]>,
>      "[email-masked]" <[email-masked]>
> Subject: [AVT] RE: Retransmission Format
> 
> Bill,
> 
> Thanks for your comments.
> At the last AVT meeting, we proposed to merge the two drafts 
> within a single draft. However, it was felt that it would be 
> more clear to keep the two approaches into two separate 
> documents. Both drafts will be resubmitted with an 
> applicablity statement.
> As far as the 4-byte alignement is concerned, we have chosen 
> to minimise the overhead. This can be worthwile when the RTP 
> header is compressed and the payload is small.
> It is hard to tell how many extension bits it is reasonable 
> to define. However, provided that one extension bit is 
> defined I guess we are safe as any future extension may 
> define its own extension bit.
> 
> Regards, David.
> 
> > -----Original Message-----
> > From: ext Bill Foster [mailto:[email-masked]]
> > Sent: Thursday, April 25, 2002 4:12 PM
> > To: Leon David (NRC/Dallas); Varsa Viktor (NRC/Dallas)
> > Cc: Naoshad Mehta; [email-masked]; [email-masked]
> > Subject: Retransmission Format
> >
> >
> > David, Victor:
> >
> > The retransmission format you have suggested in
> > draft-ietf-avt-rtp-retransmission-00.txt has an odd number 
> of bytes -
> > rather than sitting on the normal 4 byte boundary. In
> > addition, there may
> > be some need in the future for more than one bit for
> > extensions. I would
> > like to see that remaining byte left as reserved and the
> > retransmission
> > header end at the 4 byte boundary. This will make life easier
> > for some
> > implementations w.r.t. development and performance and allows
> > for potential
> > extensions later on.
> >
> > The format is almost the same as in
> > draft-ietf-avt-rtp-selret-03.txt. Is
> > there an intent to merge the formats? The same comment
> > applies to that
> > draft. It appears that the formats are pretty much the same
> > anyway except
> > for the meaning of X versus E bit. In either case, I would
> > like to see
> > headers end on a four byte boundary (preferably one format
> > even though the
> > drafts appear to be addressing slightly different applications).
> >
> > Bill
> > -----------------------------
> > Bill Foster
> > Phone: (250) 758-9418
> > Fax:     (781) 998-6492
> >
> >
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt